{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-world-dns
  namespace: spegel
spec:
  description: Allow DNS world
  egress:
    - toPorts:
        - ports:
            - port: "5001"
              protocol: TCP
  endpointSelector:
    matchLabels:
      app.kubernetes.io/name: spegel
{{- end }}
